localinfo(1)

NAME
localinfo - .TH "localinfo" 1 "Fri Mar 11 2011" "Version 1.12.11" "sofia-sip-utils"

NAME
localinfo - .SH "Synopsis"

localinfo [-imdn46gslh] [domainname]

Description

The localinfo utility will obtain the local network addresses and print them.

Options

The localinfo utility accepts following command line options:

-i  include interface name.

-m  map IPv4 addresses.

-d  require a reverse DNS entry.

-n  use numeric host names.

-4  IPv4 only.

-6  IPv6 only (but including mapped IPv4 addresses).

-g  Global addresses.

-s  Site-level addresses.

-l  Link-level addresses.

-h  Host-internal addresses.

Examples

You want to find out local IPv6 addresses:

 $ localinfo -6

 You want to find out to link-local addresses

 $ localinfo -l -n

Reporting Bugs

Report bugs to <sofia-sip-devel@lists.sourceforge.net>.

Author

Written by Pekka Pessi <pekka -dot pessi -at- nokia -dot- com>

Copyright

Copyright (C) 2005 Nokia Corporation.

This program is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.